<?php

/**
 * Dynamic CSS
 */
function moving_truck_rental_dynamic_css() {
	$moving_truck_rental_primary_color = get_theme_mod( 'moving_truck_rental_primary_color', '#FC3F3A' );
	$moving_truck_rental_secondary_color = get_theme_mod( 'moving_truck_rental_secondary_color', '#F69940' );

	$moving_truck_rental_site_title_font       = get_theme_mod( 'moving_truck_rental_site_title_font', 'Inter' );
	$moving_truck_rental_site_description_font = get_theme_mod( 'moving_truck_rental_site_description_font', 'Raleway' );
	$moving_truck_rental_header_font           = get_theme_mod( 'moving_truck_rental_header_font', 'Raleway' );
	$moving_truck_rental_content_font             = get_theme_mod( 'moving_truck_rental_content_font', 'Work Sans' );

	// Enqueue Google Fonts
	$moving_truck_rental_fonts_url = moving_truck_rental_get_fonts_url();
	if ( ! empty( $moving_truck_rental_fonts_url ) ) {
		wp_enqueue_style( 'moving-truck-rental-google-fonts', esc_url( $moving_truck_rental_fonts_url ), array(), null );
	}

	$moving_truck_rental_custom_css  = '';
	$moving_truck_rental_custom_css .= '
    /* Color */
    :root {
        --primary-color: ' . esc_attr( $moving_truck_rental_primary_color ) . ';
		--secondary_color: ' . esc_attr( $moving_truck_rental_secondary_color ) . ';
        --header-text-color: ' . esc_attr( '#' . get_header_textcolor() ) . ';
    }
    ';

	$moving_truck_rental_custom_css .= '
    /* Typography */
    :root {
        --font-heading: "' . esc_attr( $moving_truck_rental_header_font ) . '", serif;
        --font-main: -apple-system, BlinkMacSystemFont, "' . esc_attr( $moving_truck_rental_content_font ) . '", "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
    }

    body,
	button, input, select, optgroup, textarea, p {
        font-family: "' . esc_attr( $moving_truck_rental_content_font ) . '", serif;
	}

	.site-identity p.site-title, h1.site-title a, h1.site-title, p.site-title a, .site-branding h1.site-title a {
        font-family: "' . esc_attr( $moving_truck_rental_site_title_font ) . '", serif;
	}
    
	p.site-description {
        font-family: "' . esc_attr( $moving_truck_rental_site_description_font ) . '", serif !important;
	}
    ';

	wp_add_inline_style( 'moving-truck-rental-style', $moving_truck_rental_custom_css );
}
add_action( 'wp_enqueue_scripts', 'moving_truck_rental_dynamic_css', 99 );
